std::binary_function< _Arg1, _Arg2, _Result >(3)

NAME
std::binary_function< _Arg1, _Arg2, _Result >

SYNOPSIS

#include <functional>

Inherited by std::_Sp_owner_less< void, void >, std::equal_to< _Key >, std::equal_to< _Value >, std::less< typename _Sequence::value_type >, __gnu_parallel::_Multiplies< _Tp1, _Tp2, _Result >, __gnu_parallel::_Plus< _Tp1, _Tp2, _Result >, and std::pointer_to_binary_function< _Arg1, _Arg2, _Result >.

  Public Types
typedef _Arg1 first_argument_type
first_argument_type is the type of the first argument
typedef _Result result_type
result_type is the return type
typedef _Arg2 second_argument_type
second_argument_type is the type of the second argument

Detailed Description

  template<typename _Arg1, typename _Arg2, typename _Result>
struct std::binary_function< _Arg1, _Arg2, _Result >"Helper for defining adaptable binary function objects.

Deprecated
    Deprecated in C++11, no longer in the standard since C++17.

Member Typedef Documentation

  template<typename _Arg1 , typename _Arg2 , typename _Result > typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type

first_argument_type is the type of the first argument

  template<typename _Arg1 , typename _Arg2 , typename _Result > typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type

result_type is the return type

  template<typename _Arg1 , typename _Arg2 , typename _Result > typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type

second_argument_type is the type of the second argument

Author

Generated automatically by Doxygen for libstdc++ from the source code.